# Uses of Interface
org.springframework.cglib.core.HashCodeCustomizer

Packages that use HashCodeCustomizer
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).

## Uses of HashCodeCustomizer in org.springframework.cglib.core

Fields in org.springframework.cglib.core declared as HashCodeCustomizer
Modifier and Type
Field
Description
`static final HashCodeCustomizer`
KeyFactory.`HASH_ASM_TYPE`
`Type.hashCode()` is very expensive as it traverses full descriptor to calculate hash code.